Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.svg
Class SVGOMMatrix

    java.lang.Object
      org.apache.batik.dom.svg.AbstractSVGMatrix
          org.apache.batik.dom.svg.SVGOMMatrix

All Implemented Interfaces:
  org.w3c.dom.svg.SVGMatrix

    public class SVGOMMatrix

extends AbstractSVGMatrix

This class provides an implementation of the `SVGMatrix` interface.

Field Summary
`protected AffineTransform` | `affineTransform` The AffineTransform used to implement the matrix.

Fields inherited from class org.apache.batik.dom.svg.AbstractSVGMatrix
`FLIP_X_TRANSFORM, FLIP_Y_TRANSFORM`

Constructor Summary
`SVGOMMatrix(AffineTransform at)` Creates a new SVGMatrix.

Method Summary
`protected AffineTransform` | `getAffineTransform()` Returns the associated AffineTransform.

Methods inherited from class org.apache.batik.dom.svg.AbstractSVGMatrix
`flipX, flipY, getA, getB, getC, getD, getE, getF, inverse, multiply, rotate, rotateFromVector, scale, scaleNonUniform, setA, setB, setC, setD, setE, setF, skewX, skewY, translate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### affineTransform

    protected AffineTransform affineTransform

  The AffineTransform used to implement the matrix.

Constructor Detail

### SVGOMMatrix

    public SVGOMMatrix(AffineTransform at)

  Creates a new SVGMatrix.

Method Detail

### getAffineTransform

    protected AffineTransform getAffineTransform()

  Returns the associated AffineTransform.

  Specified by:
    `getAffineTransform` in class `AbstractSVGMatrix`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.